Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type CustomValidator

    @Target(value={METHOD,TYPE})
    @Retention(value=RUNTIME)
    public @interface CustomValidator

This annotation can be used for custom validators. Use the ValidationParameter annotation to supply additional params.

Annotation usage:

The annotation must be applied at method or type level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.

Example code:

     @CustomValidator(type ="customValidatorName", fieldName = "myField")

Version:
  $Id: CustomValidator.java 894090 2009-12-27 18:18:29Z martinc $
Author:
  jepjep, Rainer Hermanns

Required Element Summary
`java.lang.String` | `type`

Optional Element Summary
`java.lang.String` | `fieldName` The optional fieldName for SIMPLE validator types.
`java.lang.String` | `key`
`java.lang.String` | `message` The default error message for this validator.
`ValidationParameter[]` | `parameters`
`boolean` | `shortCircuit`

Element Detail

### type

    public abstract java.lang.String type

### fieldName

    public abstract java.lang.String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### message

    public abstract java.lang.String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract java.lang.String key

  Default:
    ""

### parameters

    public abstract ValidationParameter[] parameters

  Default:
    {}

### shortCircuit

    public abstract boolean shortCircuit

  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.